Page MenuHomePhabricator

Clarify Notifications beta feature language on Preferences page
Closed, ResolvedPublic

Description

People have observed that it's not obvious to users that they must activate the Ehanced Notifications beta feature on every wiki on which they want to get the x-wiki notifications.

Since we just took the step of circulating an invitation for the feature, let's take that occasion to clarify the instructions.

Details

Related Gerrit Patches:
mediawiki/extensions/Echo : masterClarify beta feature description

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 29 2016, 9:24 PM

The current language says:

Enhanced Notifications
View and organize notifications more easily. Includes cross-wiki notifications, which lets you see messages from other wikis.

Here's what I propose for an addition:

Enhanced Notifications
View and organize notifications more easily. Includes cross-wiki notifications, which lets you see messages from other wikis. (To receive cross-wiki notifications on a given wiki, you must activate the beta feature on that wiki. No action is necessary to enable wikis to send notifications to other wikis.)

jmatazzoni renamed this task from Clarify Notifications betafeature language on Preferences page to Clarify Notifications beta feature language on Preferences page.Apr 29 2016, 9:31 PM
jmatazzoni added a subscriber: Etonkovidova.
jmatazzoni added subscribers: Quiddity, Trizek-WMF.

Comments from anyone? If not, I'll move this to RFP.

Some clarification seems useful here. However, I'm not sure all users view this through a send-receive mental model. That is, when I'm in English Wikipedia, cross-wikinotifications allow me to see the notifications that are at Commons (Commons is not sending those to English Wikipedia).

Under that perspective, while the first clarification ("To receive cross-wiki notifications on a given wiki, you must activate the beta feature on that wiki.") looks good, I found the second one confusing ("No action is necessary to enable wikis to send notifications to other wikis.").

I think that having the first clarification should be enough, especially since T117669: Invite users to enable Cross-wiki Notifications beta feature will help to explain why notifications are not shown (and how to enable them).

Under that perspective, while the first clarification ("To receive cross-wiki notifications on a given wiki, you must activate the beta feature on that wiki.") looks good, I found the second one confusing ("No action is necessary to enable wikis to send notifications to other wikis.").

I agree with Pau and I would suggest to remove the second sentence.

I agree with Pau and I would suggest to remove the second sentence.

Sounds good. I went back and forth on that myself. So, the approved language to add to the preferences page will be:

Enhanced Notifications
View and organize notifications more easily. Includes cross-wiki notifications, which lets you see messages from other wikis. (To receive cross-wiki notifications on a given wiki, you must activate the beta feature on that wiki.)

I'll move this task to RFP.

Change 286538 had a related patch set uploaded (by Catrope):
Clarify beta feature description

https://gerrit.wikimedia.org/r/286538

Catrope claimed this task.May 2 2016, 10:21 PM

Change 286538 merged by jenkins-bot:
Clarify beta feature description

https://gerrit.wikimedia.org/r/286538

Checked in betalabs.

jmatazzoni closed this task as Resolved.May 4 2016, 4:35 PM